"use strict";
/**
 * @license
 * Copyright 2019 Ludan Stoecklé
 * SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.GermanDictHelper = void 0;
const fs_1 = require("fs");
class GermanDictHelper {
    constructor() {
        this.adjectives = null;
        this.nouns = null;
    }
    isAdj(ff) {
        return this.getAdj(ff) != null;
    }
    isNoun(ff) {
        return this.getNoun(ff) != null;
    }
    getNoun(ff) {
        if (!this.nouns) {
            this.nouns = JSON.parse((0, fs_1.readFileSync)(__dirname + '/../resources_pub/nouns.json', 'utf8'));
        }
        return this.nouns[ff];
    }
    getAdj(ff) {
        if (!this.adjectives) {
            this.adjectives = JSON.parse((0, fs_1.readFileSync)(__dirname + '/../resources_pub/adjectives.json', 'utf8'));
        }
        return this.adjectives[ff];
    }
}
exports.GermanDictHelper = GermanDictHelper;
//# sourceMappingURL=index.js.map